%if ! (0%{?fedora} > 12 || 0%{?rhel} > 5)
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
%endif

# Define pkgdocdir for releases that don't define it already
%{!?_pkgdocdir: %global _pkgdocdir %{_docdir}/%{name}-%{version}}

Name:          python-qpid_messaging
Summary:       Python bindings for the Qpid messaging framework
Version:       0.24
Release:       3%{?dist}

License:       ASL 2.0
URL:           http://qpid.apache.org
Source0:       http://www.apache.org/dist/qpid/%{version}/python-qpid_messaging-%{version}.tar.gz

BuildRequires: python2-devel
BuildRequires: swig
BuildRequires: cmake
BuildRequires: gcc-c++
BuildRequires: qpid-cpp-client-devel%{?_isa} = %{version}

Requires:      python2
Requires:      qpid-cpp-client%{?_isa} = %{version}
Requires:      python-qpid-common

# Only until BZ#1010397 is fixed
ExcludeArch:   %{arm}

%{?filter_setup:
%filter_provides_in %{python_sitearch}/.*\.so$
%filter_setup}

# QPID-4952
Patch1: 01-QPID-4952-Renamed-the-Swig-Python-binding-module-to-.patch
# QPID-4952
Patch2: 02-Rename-cqpid-to-qpid_messaging.patch
# QPID-4952
Patch3: 03-QPID-4952-Added-ChangeLog-entry-for-Python-rename.patch


%description
%{summary}.


%prep
%setup -q

%patch1 -p7
%patch2 -p6
%patch3 -p6


%build
%cmake .
make %{?_smp_mflags}


%install
%make_install

chmod 755 %{buildroot}/%{python_sitearch}/_qpid_messaging.so

# mkdir -p %%{buildroot}/%%{_datadir}/python-qpid_messaging/examples
# TODO : with release 0.26
# install -pm 644 examples/* %%{buildroot}/%%{_datadir}/python-qpid_messaging/examples

%clean


%files
%doc ChangeLog
%doc LICENSE
%doc README
# TODO : with release 0.26
# %%doc %%{_datadir}/python-qpid_messaging/examples
%{python_sitearch}/qpid_messaging.py
%{python_sitearch}/qpid_messaging.pyc
%{python_sitearch}/qpid_messaging.pyo
%{python_sitearch}/_qpid_messaging.so


%changelog
* Wed Sep 25 2013 Darryl L. Pierce <dpierce@redhat.com> - 0.24-3
- First official build for Fedora.
- Resolves: BZ#1012077

* Wed Sep 25 2013 Darryl L. Pierce <dpierce@redhat.com> - 0.24-2
- Removed defattr from files section.
- Used make install macro.
- Fixed typo in old changelog entry.

* Wed Sep 25 2013 Darryl L. Pierce <dpierce@redhat.com> - 0.24-1
- Initial package based on Qpid 0.24.
